[PATCH 2/4] perf-test: add simple test for thread subqueries

David Bremner david at tethera.net
Sat May 5 09:05:21 PDT 2018


This is not a particularly sensible query, but thread:{date:2010} is a
good way to generate fairly large intermediate queries.
---
 performance-test/T04-thread-subquery.sh | 13 +++++++++++++
 1 file changed, 13 insertions(+)
 create mode 100755 performance-test/T04-thread-subquery.sh

diff --git a/performance-test/T04-thread-subquery.sh b/performance-test/T04-thread-subquery.sh
new file mode 100755
index 00000000..665d5a64
--- /dev/null
+++ b/performance-test/T04-thread-subquery.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+test_description='thread subqueries'
+
+. $(dirname "$0")/perf-test-lib.sh || exit 1
+
+time_start
+
+time_run "search thread:{} ..." "notmuch search thread:{date:2010} and thread:{from:linus}"
+time_run "search thread:{} ..." "notmuch search thread:{date:2010} and thread:{from:linus}"
+time_run "search thread:{} ..." "notmuch search thread:{date:2010} and thread:{from:linus}"
+
+time_done
-- 
2.17.0



More information about the notmuch mailing list